Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command
Class HoverEvent

    java.lang.Object
      java.util.EventObject
          com.pietschy.command.HoverEvent

All Implemented Interfaces:
  java.io.Serializable

    public class HoverEvent

extends java.util.EventObject

Fired when the mouse enters and exits a command.

See Also:
  `HoverManager.addHoverListener(HoverListener)`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`HoverEvent(Command command, Face face, java.awt.Component component)` Creates a new instance for the specified command, face and component.

Method Summary
`Command` | `getCommand()` Gets the command that created the hovered component.
`java.awt.Component` | `getComponent()` Gets the component that was hovered.
`Face` | `getFace()` Gets the face used to create the hovered component.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HoverEvent

    public HoverEvent(Command command,
                      Face face,
                      java.awt.Component component)

  Creates a new instance for the specified command, face and component.

  Parameters:
    `command` - the command whose component was hovered.
    `face` - the face used to create the hovered component.
    `component` - the component that was hovered.

Method Detail

### getCommand

    public Command getCommand()

  Gets the command that created the hovered component.

  Returns:
    the command that created the hovered component.

### getFace

    public Face getFace()

  Gets the face used to create the hovered component.

  Returns:
    the face used to create the hovered component.

### getComponent

    public java.awt.Component getComponent()

  Gets the component that was hovered.

  Returns:
    the component that was hovered.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch